xcopy U:\bios\JP\Bios\IntelPoweredClassmatePC\ScreenUpdate\*.* x:\Touch\ /e /y

pushd x:\Touch\

@rem Touchscreen xcfg version check

@echo off

:GETCFG
@rem First, export xcfg check result
if exist CFGCHECK.log del CFGCHECK.log
cls
echo ==================== Do Not Close This Window ====================
echo.
echo.
echo.
echo oooooo   oooooo     oooo       .o.       ooooo ooooooooooooo 
echo  `888.    `888.     .8'       .888.      `888' 8'   888   `8 
echo   `888.   .8888.   .8'       .8"888.      888       888      
echo    `888  .8'`888. .8'       .8' `888.     888       888      
echo     `888.8'  `888.8'       .88ooo8888.    888       888      
echo      `888'    `888'       .8'     `888.   888       888      
echo       `8'      `8'       o88o     o8888o o888o     o888o     
echo.
echo.
echo.
echo ==================== Do Not Close This Window ====================
MxtUpdater.exe -rx CFGCHECK.log > nul

:CHECKCFG
@rem Check xcfg version 0x7784A8
find "0x7784A8" CFGCHECK.log > nul
if %errorlevel%==1 goto FAIL

:PASS
cls
color 2f
echo =============== Touchpanel Config Check Pass ===============
echo.
echo ooooooooo.         .o.        .oooooo..o  .oooooo..o 
echo `888   `Y88.      .888.      d8P'    `Y8 d8P'    `Y8 
echo  888   .d88'     .8"888.     Y88bo.      Y88bo.      
echo  888ooo88P'     .8' `888.     `"Y8888o.   `"Y8888o.  
echo  888           .88ooo8888.        `"Y88b      `"Y88b 
echo  888          .8'     `888.  oo     .d8P oo     .d8P 
echo o888o        o88o     o8888o 8""88888P'  8""88888P'  
echo.
echo =============== Touchpanel Config Check Pass ===============
goto THQACHECK

:THQACHECK
@rem TouchScreen THQA firmware version check

@echo off

:EXPORT
@rem First, export blob data
if exist THQA_Result.log del THQA_Result.log
GetTHQABlob.exe -verifycertified > THQA_Result.log

:CHECKFW
@rem Check firmware version 1232
find "Firmware Version: 1232" THQA_Result.log > nul
if %errorlevel%==1 goto FAIL

:CHECKSTATUS
@rem Check validation status
find "Validation Status: PASS" THQA_Result.log > nul
if %errorlevel%==1 goto FAIL

:PASS
cls
color 2f
echo =============== THQA Firmware Check Pass ===============
echo.
echo ooooooooo.         .o.        .oooooo..o  .oooooo..o 
echo `888   `Y88.      .888.      d8P'    `Y8 d8P'    `Y8 
echo  888   .d88'     .8"888.     Y88bo.      Y88bo.      
echo  888ooo88P'     .8' `888.     `"Y8888o.   `"Y8888o.  
echo  888           .88ooo8888.        `"Y88b      `"Y88b 
echo  888          .8'     `888.  oo     .d8P oo     .d8P 
echo o888o        o88o     o8888o 8""88888P'  8""88888P'  
echo.
echo =============== THQA Firmware Check Pass ===============
goto END

:FAIL
cls
color cf
echo =============== Touchpanel Config Check Fail ===============
echo.
echo oooooooooooo       .o.       ooooo ooooo        
echo `888'     `8      .888.      `888' `888'        
echo  888             .8"888.      888   888         
echo  888oooo8       .8' `888.     888   888         
echo  888    "      .88ooo8888.    888   888         
echo  888          .8'     `888.   888   888       o 
echo o888o        o88o     o8888o o888o o888ooooood8 
echo.
echo =============== Touchpanel Config Check Fail ===============
@rem Touchscreen firmware check and config file update

@echo off

:CHECKFW
call Firmware_Check.cmd

:UPDATECFG
@rem If firmware check pass, update config file
if exist CFGUPDATE.log del CFGUPDATE.log
cls
echo ==================== Do Not Close This Window ====================
echo.
echo.
echo.
echo oooooo   oooooo     oooo       .o.       ooooo ooooooooooooo 
echo  `888.    `888.     .8'       .888.      `888' 8'   888   `8 
echo   `888.   .8888.   .8'       .8"888.      888       888      
echo    `888  .8'`888. .8'       .8' `888.     888       888      
echo     `888.8'  `888.8'       .88ooo8888.    888       888      
echo      `888'    `888'       .8'     `888.   888       888      
echo       `8'      `8'       o88o     o8888o o888o     o888o     
echo.
echo.
echo.
echo ==================== Do Not Close This Window ====================
Mxtupdater.exe -wx palace_hill_FW12AA_0121-2.xcfg > CFGUPDATE.log
find "successfully" CFGUPDATE.log > nul
if %errorlevel% == 0 goto UPDATESIGN
timeout /t 5 /nobreak > nul
goto UPDATECFG

:UPDATESIGN
@rem After update xcfg pass, update driver sign later
if exist SIGNUPDATE.log del SIGNUPDATE.log
cls
echo ==================== Do Not Close This Window ====================
echo.
echo.
echo.
echo oooooo   oooooo     oooo       .o.       ooooo ooooooooooooo 
echo  `888.    `888.     .8'       .888.      `888' 8'   888   `8 
echo   `888.   .8888.   .8'       .8"888.      888       888      
echo    `888  .8'`888. .8'       .8' `888.     888       888      
echo     `888.8'  `888.8'       .88ooo8888.    888       888      
echo      `888'    `888'       .8'     `888.   888       888      
echo       `8'      `8'       o88o     o8888o o888o     o888o     
echo.
echo.
echo.
echo ==================== Do Not Close This Window ====================
Mxtupdater.exe -tw pid_thqa.txt > SIGNUPDATE.log
find "successfully" SIGNUPDATE.log > nul
if %errorlevel% == 0 wpeutil reboot
goto UPDATESIGN


:END
if exist CFGCHECK.log del CFGCHECK.log
if exist THQA_Result.log del THQA_Result.log
if exist CFGUPDATE.log del CFGUPDATE.log
if exist SIGNUPDATE.log del SIGNUPDATE.log
pushd x:\pcbtest
exit